## ceilometer 15.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

cachetools>=2.1.0 # MIT License
cotyledon>=1.3.0 #Apache-2.0
futurist>=1.8.0 # Apache-2.0
jsonpath-rw-ext>=1.1.3 # Apache-2.0
lxml>=4.2.3 # BSD
msgpack>=0.5.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
pbr>=2.0.0 # Apache-2.0
oslo.messaging>=8.0.0 # Apache-2.0
oslo.upgradecheck>=0.1.1 # Apache-2.0
oslo.utils>=3.37.0 # Apache-2.0
oslo.privsep>=1.32.0 # Apache-2.0
pysnmp<5.0.0,>=4.2.3 # BSD
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.15.0 # Apache-2.0
keystoneauth1>=3.9.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-cinderclient>=3.3.0  # Apache-2.0
PyYAML>=3.13 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0
tenacity>=4.12.0  # Apache-2.0
tooz[zake]>=1.47.0 # Apache-2.0
os-xenapi>=0.3.3 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
gnocchiclient>=7.0.0 # Apache-2.0
python-monascaclient>=1.12.0  # Apache-2.0
python-zaqarclient>=1.3.0 # Apache-2.0

=== debian/changelog ===
ceilometer (1:15.0.0-3) unstable; urgency=medium

  * Do not symlink gnocchi_resources.yaml, just copy it in /etc/ceilometer, as
    it has precedence in the Ceilometer code anyway.
  * Remove Breaks: + Replaces: python3-ceilometer (<< 1:15.0.0-2~), in fact not
    needed (we're not moving a file).

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Mar 2021 14:25:36 +0100

ceilometer (1:15.0.0-2) unstable; urgency=medium

  * Move gnocchi_resources.yaml in ceilometer-common:/etc/ceilometer, so that
    it becomes a CONFFILE.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Mar 2021 10:49:38 +0100

ceilometer (1:15.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 16:22:15 +0200

ceilometer (1:15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2020 15:11:49 +0200

ceilometer (1:14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 15:14:49 +0200

ceilometer (1:14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 23:31:57 +0200

ceilometer (1:14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 19:28:07 +0200

ceilometer (1:13.1.0-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Mar 2020 12:53:01 +0100

=== debian/control ===
Source: ceilometer
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 git,
 python3-awsauth,
 python3-cachetools,
 python3-ceilometerclient,
 python3-cinderclient,
 python3-cotyledon,
 python3-coverage <!nocheck>,
 python3-fixtures <!nocheck>,
 python3-futurist (>= 1.8.0),
 python3-gabbi,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-jsonpath-rw-ext,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-kombu,
 python3-lxml,
 python3-monascaclient,
 python3-msgpack,
 python3-mysqldb,
 python3-neutronclient,
 python3-novaclient,
 python3-openssl,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-win,
 python3-os-xenapi,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-oslotest,
 python3-pastedeploy,
 python3-psycopg2,
 python3-pymongo,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests,
 python3-six,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.httpdomain,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-swiftclient,
 python3-tempest <!nocheck>,
 python3-tenacity,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 python3-tooz,
 python3-webtest <!nocheck>,
 python3-werkzeug,
 python3-yaml,
 python3-zaqarclient,
 subunit <!nocheck>,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ceilometer
Vcs-Git: https://salsa.debian.org/openstack-team/services/ceilometer.git
Homepage: http://wiki.openstack.org/Ceilometer

Package: ceilometer-agent-central
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - agent central
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-compute
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - compute agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ipmitool,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - IPMI agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the IPMI agent daemon.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - notification agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent daemon.

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 ceilometer-api,
 ceilometer-collector,
Description: OpenStack efficient metering counters system - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Ceilometer.

Package: ceilometer-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack efficient metering counters system - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: ceilometer-polling
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 mongodb,
Description: OpenStack efficient metering counters system - Polling agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: python3-ceilometer
Section: python
Architecture: all
Depends:
 libjs-jquery,
 python3-cachetools,
 python3-ceilometerclient,
 python3-cinderclient,
 python3-cotyledon,
 python3-futurist (>= 1.8.0),
 python3-glanceclient,
 python3-gnocchiclient,
 python3-greenlet,
 python3-jsonpath-rw-ext,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-kombu,
 python3-lxml,
 python3-monascaclient,
 python3-msgpack,
 python3-mysqldb,
 python3-neutronclient,
 python3-novaclient,
 python3-os-xenapi,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-pastedeploy,
 python3-pbr,
 python3-pymongo,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests,
 python3-six,
 python3-stevedore,
 python3-swiftclient,
 python3-tenacity,
 python3-tooz,
 python3-werkzeug,
 python3-yaml,
 python3-zaqarclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Ceilometer.

=== debian/rules ===
#!/usr/bin/make -f

export HOME="$(CURDIR)/debian/test"
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf .testrepository
	rm -f debian/ceilometer-common.config debian/ceilometer-common.postinst

override_dh_auto_clean:
	rm -rf .testrepository
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.postinst
	pkgos-merge-templates ceilometer-common ceilometer rabbit

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	OS_TEST_PATH=$(CURDIR)/ceilometer/tests/unit PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'tests\.(?!(.*test_bin.*|.*functional.*|.*gabbi\.test_gabbi_prefix.*|.*meter\.test_notifications\.TestMeterProcessing\.test_fallback_meter_path.*|.*agent\.test_manager\.TestRunTasks\.test_batching_polled_samples_false.*))'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing

	# Manage ceilometer.conf
	mkdir -p $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf \
		--wrap-width 140 \
		--namespace ceilometer \
		--namespace ceilometer-auth \
		--namespace oslo.concurrency \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.service.service

	# Fix default path for lock_path
	pkgos-fix-config-default $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf oslo_concurrency lock_path /var/lock/ceilometer

	# Move the gnocchi_resources.yaml to /etc
	mkdir -p $(CURDIR)/debian/ceilometer-common/etc/ceilometer
	cp $(CURDIR)/debian/python3-ceilometer/usr/lib/python3/dist-packages/ceilometer/publisher/data/gnocchi_resources.yaml \
		$(CURDIR)/debian/ceilometer-common/etc/ceilometer/gnocchi_resources.yaml

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html
	mkdir -p $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html/_static
	touch $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html/_static/toggle.js
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## ceilometer 15.1.0

=== requirements.txt ===
--- 
+++ 
@@ -28,10 +28,10 @@
 python-swiftclient>=3.2.0 # Apache-2.0
 python-cinderclient>=3.3.0  # Apache-2.0
 PyYAML>=3.13 # MIT
-requests!=2.9.0,>=2.8.1 # Apache-2.0
-six>=1.9.0 # MIT
+requests>=2.14.2 # Apache-2.0
+six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
-tenacity>=4.12.0  # Apache-2.0
+tenacity>=4.12.0,<7.0.0  # Apache-2.0
 tooz[zake]>=1.47.0 # Apache-2.0
 os-xenapi>=0.3.3 # Apache-2.0
 oslo.cache>=1.26.0 # Apache-2.0

=== debian/changelog ===
ceilometer (1:15.1.0-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * d/watch: Add missing trailing '/' to the url.
  * New stable point release for OpenStack Victoria (LP: #1962772).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Wed, 02 Mar 2022 16:12:41 -0300

ceilometer (1:15.0.0-0ubuntu3~cloud0) focal-victoria; urgency=medium

  * New update for the Ubuntu Cloud Archive.

ceilometer (1:15.0.0-0ubuntu3) groovy; urgency=medium

  * d/t/control, d/t/test-services: Add nova-compute as a depends for
    services.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 16 Mar 2021 14:01:23 +0000

ceilometer (1:15.0.0-0ubuntu2) groovy; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/victoria branch.

  [ Chris MacNaughton ]
  * d/ceilometer-agent-compute.service.in: Customize systemd unit to
    ensure nova-compute is started (LP: #1885430).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 11 Mar 2021 07:10:12 +0000

ceilometer (1:15.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 15 Oct 2020 07:34:50 +0000

ceilometer (1:15.0.0~rc1-0ubuntu1) groovy; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Track 15.x series.
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 12 Oct 2020 13:16:45 +0000

ceilometer (1:15.0.0~b3~git2020091007.6a502f88-0ubuntu1) groovy; urgency=medium

  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).
  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 10 Sep 2020 07:26:46 +0000

ceilometer (1:15.0.0~b2~git2020073012.5af99caa-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 30 Jul 2020 12:21:38 +0000

ceilometer (1:15.0.0~b1~git2020062610.f8992d40-0ubuntu2) groovy; urgency=medium

  * d/control: Demote python3-zake to Suggests for runtime usage.
  * d/*: wrap-and-sort -bast
  * d/control: Drop duplicated Suggests/Depends.

 -- James Page <james.page@ubuntu.com>  Tue, 21 Jul 2020 15:52:24 +0100

ceilometer (1:15.0.0~b1~git2020062610.f8992d40-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 26 Jun 2020 10:21:11 +0000

ceilometer (1:14.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Update tarball URL to https opendev.org endpoint.
  * d/control: Align Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 14 May 2020 08:42:07 +0000

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-awsauth (>= 0.1.4),
 python3-cachetools (>= 2.1.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-confluent-kafka (>= 0.11.0),
 python3-cotyledon (>= 1.3.0),
 python3-coverage (>= 4.0),
 python3-croniter,
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.8.0),
 python3-gabbi (>= 1.30.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 7.0.0),
 python3-jsonpath-rw-ext (>= 1.1.3),
 python3-keystoneauth1 (>= 3.9.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-lxml (>= 4.2.3),
 python3-mock (>= 2.0.0),
 python3-monascaclient (>= 1.12.0),
 python3-msgpack (>= 0.5.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-os-win (>= 3.0.0),
 python3-os-xenapi (>= 0.3.3),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 8.0.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 2.0.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.37.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pysnmp4 (>= 4.2.3),
 python3-reno (>= 2.11.2),
 python3-requests (>= 2.8.1),
 python3-six (>= 1.9.0),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tempest (>= 1:14.0.0),
 python3-tenacity (>= 4.12.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.47.0),
 python3-yaml (>= 3.13),
 python3-zake (>= 0.2.2),
 python3-zaqarclient (>= 1.3.0),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ceilometer
Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ceilometer
Testsuite: autopkgtest-pkg-python

Package: ceilometer-agent-central
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-compute
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ipmitool,
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer ipmi agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the ipmi agent.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent.

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-polling
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer polling service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: python3-ceilometer
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 python3-cachetools (>= 2.1.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-cotyledon (>= 1.3.0),
 python3-croniter,
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 1.8.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 7.0.0),
 python3-jsonpath-rw-ext (>= 1.1.3),
 python3-keystoneauth1 (>= 3.9.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-libvirt,
 python3-lxml (>= 4.2.3),
 python3-monascaclient (>= 1.12.0),
 python3-msgpack (>= 0.5.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-os-xenapi (>= 0.3.3),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 8.0.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 2.0.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.37.0),
 python3-pbr (>= 2.0.0),
 python3-pysnmp4 (>= 4.2.3),
 python3-requests (>= 2.8.1),
 python3-six (>= 1.9.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 4.12.0),
 python3-tooz (>= 1.47.0),
 python3-yaml (>= 3.13),
 python3-zaqarclient (>= 1.3.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-kafka (>= 1.3.2),
 python3-zake (>= 0.2.2),
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python 3 module for ceilometer.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ceilometer/ ceilometer-(15\..*)\.tar\.gz

## ceilometer 16.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,10 +6,11 @@
 cotyledon>=1.3.0 #Apache-2.0
 futurist>=1.8.0 # Apache-2.0
 jsonpath-rw-ext>=1.1.3 # Apache-2.0
-lxml>=4.2.3 # BSD
-msgpack>=0.5.0 # Apache-2.0
+lxml>=4.5.1 # BSD
+monotonic>=0.6
+msgpack>=0.5.2 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
-oslo.config>=5.2.0 # Apache-2.0
+oslo.config>=6.0.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
@@ -21,17 +22,16 @@
 oslo.privsep>=1.32.0 # Apache-2.0
 pysnmp<5.0.0,>=4.2.3 # BSD
 python-glanceclient>=2.8.0 # Apache-2.0
-python-keystoneclient>=3.15.0 # Apache-2.0
-keystoneauth1>=3.9.0 # Apache-2.0
+python-keystoneclient>=3.18.0 # Apache-2.0
+keystoneauth1>=3.18.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 python-swiftclient>=3.2.0 # Apache-2.0
 python-cinderclient>=3.3.0  # Apache-2.0
-PyYAML>=3.13 # MIT
-requests>=2.14.2 # Apache-2.0
-six>=1.10.0 # MIT
+PyYAML>=5.1 # MIT
+requests!=2.9.0,>=2.8.1 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
-tenacity>=4.12.0,<7.0.0  # Apache-2.0
+tenacity>=4.12.0  # Apache-2.0
 tooz[zake]>=1.47.0 # Apache-2.0
 os-xenapi>=0.3.3 # Apache-2.0
 oslo.cache>=1.26.0 # Apache-2.0

=== debian/changelog ===
ceilometer (2:16.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 16:46:01 -0400

ceilometer (2:16.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 16.x series
  * New upstream release candidate for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 02 Apr 2021 07:59:50 +0000

ceilometer (2:15.0.0+git2021012507.55c7f312-0ubuntu3) hirsute; urgency=medium

  * d/t/control, d/t/test-services: Add nova-compute as a depends for services.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 16 Mar 2021 14:00:29 +0000

ceilometer (2:15.0.0+git2021012507.55c7f312-0ubuntu2) hirsute; urgency=medium

  * d/ceilometer-agent-compute.service.in: Customize systemd unit to
    ensure nova-compute is started (LP: #1885430).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 11 Mar 2021 09:16:10 +0000

ceilometer (2:15.0.0+git2021012507.55c7f312-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:04:47 +0000

ceilometer (2:15.0.0+git2020121010.17b03d67-0ubuntu1) hirsute; urgency=medium

  * Increment epoch to align with new snapshot plan.
  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 10 Dec 2020 10:28:25 +0000

ceilometer (1:15.1.0~b1~git2020120715.17b03d67-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Dec 2020 15:34:45 +0000

## ceilometer 16.0.1

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
 futurist>=1.8.0 # Apache-2.0
 jsonpath-rw-ext>=1.1.3 # Apache-2.0
 lxml>=4.5.1 # BSD
-monotonic>=0.6
 msgpack>=0.5.2 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=6.0.0 # Apache-2.0

=== debian/changelog ===
ceilometer (2:16.0.1-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/wallaby branch.

  [ James Page ]
  * New stable point release for OpenStack Wallaby (LP: #1962619).

 -- James Page <james.page@ubuntu.com>  Thu, 17 Feb 2022 14:13:10 +0000

=== debian/control ===
--- 
+++ 
@@ -26,12 +26,13 @@
  python3-glanceclient (>= 1:2.8.0),
  python3-gnocchiclient (>= 7.0.0),
  python3-jsonpath-rw-ext (>= 1.1.3),
- python3-keystoneauth1 (>= 3.9.0),
- python3-keystoneclient (>= 1:3.15.0),
- python3-lxml (>= 4.2.3),
+ python3-keystoneauth1 (>= 3.18.0),
+ python3-keystoneclient (>= 1:3.18.0),
+ python3-lxml (>= 4.5.1),
  python3-mock (>= 2.0.0),
  python3-monascaclient (>= 1.12.0),
- python3-msgpack (>= 0.5.0),
+ python3-monotonic (>= 0.6),
+ python3-msgpack (>= 0.5.2),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
  python3-openssl (>= 17.1.0),
@@ -42,7 +43,7 @@
  python3-os-xenapi (>= 0.3.3),
  python3-oslo.cache (>= 1.26.0),
  python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.config (>= 1:6.0.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 8.0.0),
@@ -57,7 +58,6 @@
  python3-pysnmp4 (>= 4.2.3),
  python3-reno (>= 2.11.2),
  python3-requests (>= 2.8.1),
- python3-six (>= 1.9.0),
  python3-sphinxcontrib.blockdiag (>= 1.5.4),
  python3-sphinxcontrib.httpdomain (>= 1.3.0),
  python3-stestr (>= 2.0.0),
@@ -66,10 +66,11 @@
  python3-tempest (>= 1:14.0.0),
  python3-tenacity (>= 4.12.0),
  python3-testrepository (>= 0.0.18),
+ python3-testresources (>= 2.0.1),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  python3-tooz (>= 1.47.0),
- python3-yaml (>= 3.13),
+ python3-yaml (>= 5.1),
  python3-zake (>= 0.2.2),
  python3-zaqarclient (>= 1.3.0),
 Standards-Version: 4.1.2
@@ -194,18 +195,19 @@
  python3-glanceclient (>= 1:2.8.0),
  python3-gnocchiclient (>= 7.0.0),
  python3-jsonpath-rw-ext (>= 1.1.3),
- python3-keystoneauth1 (>= 3.9.0),
- python3-keystoneclient (>= 1:3.15.0),
+ python3-keystoneauth1 (>= 3.18.0),
+ python3-keystoneclient (>= 1:3.18.0),
  python3-libvirt,
- python3-lxml (>= 4.2.3),
+ python3-lxml (>= 4.5.1),
  python3-monascaclient (>= 1.12.0),
- python3-msgpack (>= 0.5.0),
+ python3-monotonic (>= 0.6),
+ python3-msgpack (>= 0.5.2),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
  python3-os-xenapi (>= 0.3.3),
  python3-oslo.cache (>= 1.26.0),
  python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.config (>= 1:6.0.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 8.0.0),
@@ -218,12 +220,11 @@
  python3-pbr (>= 2.0.0),
  python3-pysnmp4 (>= 4.2.3),
  python3-requests (>= 2.8.1),
- python3-six (>= 1.9.0),
  python3-stevedore (>= 1:1.20.0),
  python3-swiftclient (>= 1:3.2.0),
  python3-tenacity (>= 4.12.0),
  python3-tooz (>= 1.47.0),
- python3-yaml (>= 3.13),
+ python3-yaml (>= 5.1),
  python3-zaqarclient (>= 1.3.0),
  ${misc:Depends},
  ${python3:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ceilometer/ ceilometer-(16\..*)\.tar\.gz

## ceilometer 17.0.0

=== debian/changelog ===
ceilometer (2:17.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 17.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 15:13:25 +0000

ceilometer (2:16.0.0+git2021091409.2688793b-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Sep 2021 09:07:00 -0400

ceilometer (2:16.0.0+git2021072116.fe13beaa-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 16:31:59 -0400

ceilometer (2:16.0.0+git2021061111.1e7a98c8-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:10 +0000

## ceilometer 17.0.1

=== debian/changelog ===
ceilometer (2:17.0.1-0ubuntu1) impish; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/xena branch.

  [ James Page ]
  * New stable point release for OpenStack Xena (LP: #1962582).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Mar 2022 11:33:38 -0500

## ceilometer 17.0.2

=== requirements.txt ===
--- 
+++ 
@@ -30,9 +30,8 @@
 PyYAML>=5.1 # MIT
 requests!=2.9.0,>=2.8.1 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
-tenacity>=4.12.0  # Apache-2.0
+tenacity>=6.3.1,<7.0.0  # Apache-2.0
 tooz[zake]>=1.47.0 # Apache-2.0
-os-xenapi>=0.3.3 # Apache-2.0
 oslo.cache>=1.26.0 # Apache-2.0
 gnocchiclient>=7.0.0 # Apache-2.0
 python-monascaclient>=1.12.0  # Apache-2.0

=== debian/changelog ===
ceilometer (2:17.0.2-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New stable point release for OpenStack Xena (LP: #2004032).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Jan 2023 12:51:31 -0500

ceilometer (2:17.0.1-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 07 Mar 2022 15:43:55 +0000

=== debian/control ===
--- 
+++ 
@@ -56,7 +56,6 @@
  python3-oslo.vmware (>= 2.17.0),
  python3-oslotest (>= 1:3.2.0),
  python3-pysnmp4 (>= 4.2.3),
- python3-reno (>= 2.11.2),
  python3-requests (>= 2.8.1),
  python3-sphinxcontrib.blockdiag (>= 1.5.4),
  python3-sphinxcontrib.httpdomain (>= 1.3.0),
@@ -64,7 +63,7 @@
  python3-stevedore (>= 1:1.20.0),
  python3-swiftclient (>= 1:3.2.0),
  python3-tempest (>= 1:14.0.0),
- python3-tenacity (>= 4.12.0),
+ python3-tenacity (>= 6.3.1),
  python3-testrepository (>= 0.0.18),
  python3-testresources (>= 2.0.1),
  python3-testscenarios (>= 0.4),
@@ -222,7 +221,7 @@
  python3-requests (>= 2.8.1),
  python3-stevedore (>= 1:1.20.0),
  python3-swiftclient (>= 1:3.2.0),
- python3-tenacity (>= 4.12.0),
+ python3-tenacity (>= 6.3.1),
  python3-tooz (>= 1.47.0),
  python3-yaml (>= 5.1),
  python3-zaqarclient (>= 1.3.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ceilometer/ ceilometer-(17\..*)\.tar\.gz

## ceilometer 18.0.0

=== debian/changelog ===
ceilometer (2:18.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 18.x.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 13:55:42 -0400

ceilometer (2:17.0.1+git2022030310.bac34383-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 10:53:57 -0500

ceilometer (2:17.0.0+git2022011215.9325ae36-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 15:51:31 -0500

ceilometer (2:17.0.0+git2021120810.d8c0abee-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 10:16:36 -0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools (>= 85ubuntu3~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -20,6 +20,7 @@
  python3-croniter,
  python3-dateutil (>= 2.4.2),
  python3-debtcollector (>= 1.2.0),
+ python3-eventlet (>= 0.30.1),
  python3-fixtures (>= 3.0.0),
  python3-futurist (>= 1.8.0),
  python3-gabbi (>= 1.30.0),
@@ -35,28 +36,28 @@
  python3-msgpack (>= 0.5.2),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
- python3-openssl (>= 17.1.0),
+ python3-openssl (>= 17.5.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-os-win (>= 3.0.0),
  python3-os-xenapi (>= 0.3.3),
  python3-oslo.cache (>= 1.26.0),
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:6.0.0),
+ python3-oslo.concurrency (>= 3.29.0),
+ python3-oslo.config (>= 1:8.6.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 8.0.0),
+ python3-oslo.messaging (>= 10.3.0),
  python3-oslo.privsep (>= 1.32.0),
  python3-oslo.reports (>= 1.18.0),
  python3-oslo.rootwrap (>= 2.0.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.upgradecheck (>= 0.1.1),
- python3-oslo.utils (>= 3.37.0),
+ python3-oslo.utils (>= 4.7.0),
  python3-oslo.vmware (>= 2.17.0),
- python3-oslotest (>= 1:3.2.0),
+ python3-oslotest (>= 1:3.8.0),
  python3-pysnmp4 (>= 4.2.3),
- python3-requests (>= 2.8.1),
+ python3-requests (>= 2.25.1),
  python3-sphinxcontrib.blockdiag (>= 1.5.4),
  python3-sphinxcontrib.httpdomain (>= 1.3.0),
  python3-stestr (>= 2.0.0),
@@ -190,6 +191,7 @@
  python3-croniter,
  python3-dateutil (>= 2.4.2),
  python3-debtcollector (>= 1.2.0),
+ python3-eventlet (>= 0.30.1),
  python3-futurist (>= 1.8.0),
  python3-glanceclient (>= 1:2.8.0),
  python3-gnocchiclient (>= 7.0.0),
@@ -205,20 +207,20 @@
  python3-novaclient (>= 2:9.1.0),
  python3-os-xenapi (>= 0.3.3),
  python3-oslo.cache (>= 1.26.0),
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:6.0.0),
+ python3-oslo.concurrency (>= 3.29.0),
+ python3-oslo.config (>= 1:8.6.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 8.0.0),
+ python3-oslo.messaging (>= 10.3.0),
  python3-oslo.privsep (>= 1.32.0),
  python3-oslo.reports (>= 1.18.0),
  python3-oslo.rootwrap (>= 2.0.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.upgradecheck (>= 0.1.1),
- python3-oslo.utils (>= 3.37.0),
+ python3-oslo.utils (>= 4.7.0),
  python3-pbr (>= 2.0.0),
  python3-pysnmp4 (>= 4.2.3),
- python3-requests (>= 2.8.1),
+ python3-requests (>= 2.25.1),
  python3-stevedore (>= 1:1.20.0),
  python3-swiftclient (>= 1:3.2.0),
  python3-tenacity (>= 6.3.1),

=== debian/tests/control ===
Tests: test-services
Depends:
 ceilometer-agent-central,
 ceilometer-agent-compute,
 ceilometer-agent-ipmi,
 ceilometer-agent-notification,
 ceilometer-common,
 ceilometer-polling,
 libvirt-daemon-system,
 python3-libvirt,
 rabbitmq-server,
 nova-compute,

## ceilometer 18.1.0

=== requirements.txt ===
--- 
+++ 
@@ -8,16 +8,16 @@
 jsonpath-rw-ext>=1.1.3 # Apache-2.0
 lxml>=4.5.1 # BSD
 msgpack>=0.5.2 # Apache-2.0
-oslo.concurrency>=3.26.0 # Apache-2.0
-oslo.config>=6.0.0 # Apache-2.0
+oslo.concurrency>=3.29.0 # Apache-2.0
+oslo.config>=8.6.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
 oslo.rootwrap>=2.0.0 # Apache-2.0
 pbr>=2.0.0 # Apache-2.0
-oslo.messaging>=8.0.0 # Apache-2.0
+oslo.messaging>=10.3.0 # Apache-2.0
 oslo.upgradecheck>=0.1.1 # Apache-2.0
-oslo.utils>=3.37.0 # Apache-2.0
+oslo.utils>=4.7.0 # Apache-2.0
 oslo.privsep>=1.32.0 # Apache-2.0
 pysnmp<5.0.0,>=4.2.3 # BSD
 python-glanceclient>=2.8.0 # Apache-2.0
@@ -28,7 +28,7 @@
 python-swiftclient>=3.2.0 # Apache-2.0
 python-cinderclient>=3.3.0  # Apache-2.0
 PyYAML>=5.1 # MIT
-requests!=2.9.0,>=2.8.1 # Apache-2.0
+requests>=2.25.1 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 tenacity>=6.3.1,<7.0.0  # Apache-2.0
 tooz[zake]>=1.47.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
reno>=3.1.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
ceilometer (2:18.1.0-0ubuntu1) jammy; urgency=medium

  * d/gbp.conf: Create stable/yoga branch.
  * New stable point release for OpenStack Yoga (LP: #2025503).
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Jun 2023 14:49:46 -0400

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  python3-cotyledon (>= 1.3.0),
  python3-coverage (>= 4.0),
  python3-croniter,
+ python3-cryptography,
  python3-dateutil (>= 2.4.2),
  python3-debtcollector (>= 1.2.0),
  python3-eventlet (>= 0.30.1),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ceilometer/ ceilometer-(18\..*)\.tar\.gz
